Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.text
Class SimpleTemplate

Field Summary
`Script` | `script`

Constructor Summary
`SimpleTemplate()`

Method Summary
`void` | `endScript(StringWriter sw)`
`void` | `groovyExpression(Reader reader, StringWriter sw)` Closes the currently open write and writes out the following text as a GString expression until it reaches an end %>.
`void` | `groovySection(Reader reader, StringWriter sw)` Closes the currently open write and writes the following text as normal Groovy script code until it reaches an end %>.
`Writable` | `make()`
`Writable` | `make(Map map)`
`String` | `parse(Reader reader)` Parse the text document looking for <% or <%= and then call out to the appropriate handler, otherwise copy the text directly into the script while escaping quotes.
`void` | `processGSstring(Reader reader, StringWriter sw)`
`void` | `startScript(StringWriter sw)`

Constructor Detail

### SimpleTemplate

    SimpleTemplate()

Method Detail

### endScript

    void endScript(StringWriter sw)

### groovyExpression

    void groovyExpression(Reader reader, StringWriter sw)

  Closes the currently open write and writes out the following text as a GString expression until it reaches an end %>.
  param:
    reader a reader for the template text
  param:
    sw a StringWriter to write expression content
  throws:
    IOException if something goes wrong

### groovySection

    void groovySection(Reader reader, StringWriter sw)

  Closes the currently open write and writes the following text as normal Groovy script code until it reaches an end %>.
  param:
    reader a reader for the template text
  param:
    sw a StringWriter to write expression content
  throws:
    IOException if something goes wrong

### make

    public Writable make()

### make

    public Writable make(Map map)

### parse

    String parse(Reader reader)

  Parse the text document looking for <% or <%= and then call out to the appropriate handler, otherwise copy the text directly into the script while escaping quotes.
  param:
    reader a reader for the template text
  return:
    the parsed text
  throws:
    IOException if something goes wrong

### processGSstring

    void processGSstring(Reader reader, StringWriter sw)

### startScript

    void startScript(StringWriter sw)